﻿//<ШРИФТЫ>===========================================================================================================================================================================================

//<Подключаем шрифты>===========================================================================================================================================================================================
@import '_fonts';
$fontfamily: 'Poppins Regular';
//</Подключаем шрифты>===========================================================================================================================================================================================

//</ШРИФТЫ>==========================================================================================================================================================================================

//<ПЕРЕМЕННЫЕ>==========================================================================================================================================================================================
$minwidth: 320px;
$md0: 1140px + 20px;
$md1: 1024px;
$md2: 768px;
$md3: 425px;

$colorOrange: #dd7437;
$colorBlue: #1b2437;
$colorGreen: #69a03a;
$colorGray: #8e8e93;
//</ПЕРЕМЕННЫЕ>==========================================================================================================================================================================================
//<ОБНУЛЕНИЕ, ОБЩИЕ ПАРАМЕТРЫ>==========================================================================================================================================================================================
@import '_null';

body {
  color: #000;
  font-size: 10px;

  &._lock {
    overflow: hidden;
  }
}

//</ОБНУЛЕНИЕ, ОБЩИЕ ПАРАМЕТРЫ>==========================================================================================================================================================================================

//<ОБОЛОЧКА>==========================================================================================================================================================================================
.wrapper {
  width: 100%;
  min-height: 100%;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  position: relative;
  background-color: #f6f6f6;
  &.__loaded {
  }
}

//</ОБОЛОЧКА>==========================================================================================================================================================================================

//<ОСНОВНАЯ СЕТКА>==========================================================================================================================================================================================
.__container {
  max-width: $md0;
  margin: 0 auto;
  padding: 0 10px;
}

//</ОСНОВНАЯ СЕТКА>==========================================================================================================================================================================================

//<ПОДКЛЮЧЕНИЕ ФАЙЛОВ UI СТИЛЕЙ, ФОРМ И ГОТОВЫХ КЛАССОВ>==========================================================================================================================================================================================
@import '_forms';
@import '_ui';
//<.ПОДКЛЮЧЕНИЕ ФАЙЛОВ UI СТИЛЕЙ, ФОРМ И ГОТОВЫХ КЛАССОВ>==========================================================================================================================================================================================

//<ПОДКЛЮЧЕНИЕ ФАЙЛОВ СТИЛЕЙ СТРАНИЦ И ЭЛЕМЕНТОВ>==========================================================================================================================================================================================
@import '_popup';
@import '_header';
@import '_footer';
@import '_home';
@import '_products';
@import '_product';

//</ПОДКЛЮЧЕНИЕ ФАЙЛОВ СТИЛЕЙ СТРАНИЦ И ЭЛЕМЕНТОВ>==========================================================================================================================================================================================

//<ОСНОВНОЙ БЛОК>==========================================================================================================================================================================================
.main {
  flex: 1 1 auto;
}

//==========================================================================================================================================================================================

//==========================================================================================================================================================================================
.logo {
  display: flex;
  width: fit-content;
  img {
    width: 44px;
    height: 44px;
    margin-right: 11px;
  }
  // .logo__name
  &__name {
    font-size: 26px;
    line-height: 39px;
    color: $colorOrange;
  }
  @media (max-width: $md3) {
    &__name {
      display: none;
    }
  }
}
//</ОСНОВНОЙ БЛОК>==========================================================================================================================================================================================
.main-second-box {
  background-color: #fff;
  border-radius: 16px;
  padding-top: 45px;
  padding-bottom: 13px;
  margin-top: -40px;
  margin-bottom: 30px;
  &__big {
    border-radius: 0;
    margin-top: -65px;
    padding-top: 90px;
    margin-bottom: 50px;
  }
}
.bred-crumb {
  // .bred-crumb__container
  &__container {
  }
  // .bred-crumb__links
  &__links {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
  }
  // .bred-crumb__link
  &__link {
    color: #b2b2b2;
    font-size: 13px;
    line-height: 17px;
    display: block;
    margin-right: 10px;
    display: flex;
    transition: 0.2s;
    margin-bottom: 10px;
    svg path {
      fill: #b2b2b2;
    }
    &::before {
      content: '';
      position: relative;
      display: block;
      width: 1px;
      height: 17px;
      transform: rotate(15deg);
      background-color: #e2e2e2;
      margin: 0 11px;
    }
    &:first-child {
      &::before {
        content: none;
      }
    }
    &:hover,
    &:last-child {
      color: #000000;
      svg path {
        fill: #000000;
      }
    }
    &--disabled {
      color: #e2e2e2;
      pointer-events: none;
    }
  }
}

// .product__like
.like {
  background-color: transparent;
  .no-like {
    display: block;
  }
  .liked {
    display: none;
  }
  &.added {
    .no-liked {
      display: none;
    }
    .liked {
      display: block;
    }
  }
}

.product-counter {
  display: flex;
  justify-content: space-between;
  position: relative;
  input {
    width: calc(100% - 20px);
    position: absolute;
    border: 1px solid #b4b4b4;
    height: 100%;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    padding: 0 46px 0 29px;
    font-size: 16px;
    line-height: 15px;
    color: #595959;
    &::-webkit-outer-spin-button,
    &::-webkit-inner-spin-button {
      -webkit-appearance: none;
      margin: 0;
    }
  }
  span {
    font-size: 16px;
    line-height: 20px;
    color: #595959;
    position: absolute;
    display: block;
    right: 35px;
    top: calc(50% - 10px);
  }

  input[type='number'] {
    -moz-appearance: textfield;
  }
  // .product-counter__count-inc
  &__count-inc {
    height: 100%;
    width: 33px;
    min-width: 33px;
    border-radius: 8px;
    background-color: #69a03a;
    border: 1px solid #69a03a;
    position: relative;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  &__count-dec {
    height: 100%;
    width: 33px;
    min-width: 33px;
    border-radius: 8px;
    background-color: transparent;
    border: 1px solid #b4b4bb;
    background-color: #fff;
    position: relative;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  @media (max-width: 569px) {
    input {
      padding: 0 32px 0 22px;
      font-size: 14px;
      line-height: 14px;
    }
    span {
      font-size: 14px;
      line-height: 18px;
      right: 27px;
      top: calc(50% - 10px);
    }
    &__count-inc,
    &__count-dec {
      width: 25px;
      min-width: 25px;
      border-radius: 5px;
      svg {
        width: 10px;
      }
    }
    @media (max-width: 500px) {
      input {
        padding: 0 20px 0 15px;
        font-size: 12px;
        line-height: 12px;
      }
      span {
        font-size: 12px;
        line-height: 19px;
        right: 22px;
        top: calc(50% - 10px);
      }
      &__count-inc,
      &__count-dec {
        width: 20px;
        min-width: 20px;
        border-radius: 5px;
        svg {
          width: 7px;
        }
      }
      @media (max-width: 500px) {
        input {
          padding: 0 25px 0 20px;
          font-size: 12px;
          line-height: 12px;
        }
        span {
          font-size: 12px;
          line-height: 19px;
          right: 27px;
          top: calc(50% - 10px);
        }
        &__count-inc,
        &__count-dec {
          width: 25px;
          min-width: 25px;
          border-radius: 5px;
          svg {
            width: 7px;
          }
        }
      }
    }
  }
}
